package se.nekotronic.onepinger;

import android.os.Bundle;
import android.app.Activity;
import android.text.format.Time;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends Activity implements OnClickListener {
	private TextView output_area;
	private EditText address_field;
	private Button go_button;
	public static final String DEFAULT_HOST = "130.243.124.198";
	public String host;
	public static final int PORT = 2003;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		output_area = (TextView)findViewById(R.id.output_area);
		address_field = (EditText)findViewById(R.id.address_field);
		address_field.setText(DEFAULT_HOST);
		go_button = (Button)findViewById(R.id.go_button);
		go_button.setOnClickListener(this);

		output_area.setText("");
		print("AndroidPinger: Appen startar.");
	}

	@Override
	public void onClick(View view) {
		Log.d("*** OnePinger", "Button clicked: view = " + view.toString() + "\n");
		if (view == go_button) {
			host = address_field.getText().toString();
			OnePingThread t = new OnePingThread(this, host, PORT);
			t.start();
		}
	} // onClick

	public void print(String message) {
		Log.d("*** OnePinger", "message: " + message);
		Time now = new Time();
		now.setToNow();
		String timeString = now.format("%H:%M:%S");
		final String line = timeString + ": " + message + "\n";
		output_area.post(new Runnable() {
			@Override
			public void run() {
				// output_area.setText(line + output_area.getText());
				output_area.setText(output_area.getText() + line);
				output_area.invalidate();
			}
		});
	} // print

	public void warning(String message) {
		print("Warning! " + message);
	}
} // MainActivity
